<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid mf_container-fluid">
			<ul class="breadcrumb">
				<?php foreach ( $breadcrumbs as $breadcrumb ) { ?>
				<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid mf_container-fluid">
		<?php if ( isset($warning) && $warning ) { ?>
		<div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> <?php echo $warning; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<?php if ( isset($success) && $success ) { ?>
		<div class="alert alert-success alert-dismissible"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<h4><?php echo $mf_heading_title; ?></h4>
		<div class="pull-right">
			<button type="submit" form="form-store-setting" data-toggle="tooltip" title="" class="btn btn-primary" data-original-title="<?php echo $button_save; ?>"><i class="fa fa-save"></i></button>
			<button type="button" onclick="$(location).attr('href', '<?php echo $refresh; ?>');" data-toggle="tooltip" title="" data-original-title="<?php echo $button_clear_cache; ?>" class="btn btn-warning"><i class="fa fa-eraser"></i></button>
		</div>
		<p class="mf-main_menu">
			<?php foreach ( $top_menu as $menu_item ) { ?>
			<?php if (isset($menu_item['active']) && $menu_item['active'] == 1) { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info active"><?php echo $menu_item['text']; ?></a>
			<?php } else { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info"><?php echo $menu_item['text']; ?></a>
			<?php } ?>
			<?php } ?>
		</p>
		<div class="panel panel-default">
			<div class="panel-body">
				<form action="<?php echo $action; ?>" class="" method="post" enctype="multipart/form-data" id="form-store-setting">
					<ul class="nav nav-tabs" id="store">
						<?php foreach ( $stores as $store ) { ?>
						<li><a href="#store<?php echo $store['store_id']; ?>" data-toggle="tab"><?php echo $store['name']; ?></a></li>
						<?php } ?>
					</ul>
					<div class="tab-content">
						<?php foreach ( $stores as $store ) { ?>
						<?php $StoreData = $store_data[$store['store_id']]; ?>
						<?php $p = 1; ?>
						<div class="tab-pane" id="store<?php echo $store['store_id']; ?>">
							<div class="form-horizontal">
								<div class="form-group">
									<label class="col-sm-2 control-label"><?php echo $entry_magic_footer_status; ?></label>
									<div class="col-sm-10">
										<select name="magic_footer_store[<?php echo $store['store_id']; ?>]" class="form-control">
											<?php if (isset($magic_footer_store[$store['store_id']]) && $magic_footer_store[$store['store_id']] == 1 ) { ?>
											<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
											<option value="0"><?php echo $text_disabled; ?></option>
											<?php } else { ?>
											<option value="1"><?php echo $text_enabled; ?></option>
											<option value="0"  selected="selected"><?php echo $text_disabled; ?></option>
											<?php } ?>
										</select>
									</div>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mf_tbl-widget">
									<tbody>
										<tr>
										<?php for ($p = 1; $p < 17 ; $p++) { ?>
										<?php if ( (($p - 1) % 4) == 0 ) { ?>
										</tr>
										<tr class="mf_tbl-widget-row<?php echo $p; ?>">
										<?php } ?>
											<td>
												<div class="mf-panel mf-panel-default<?php if ( isset($StoreData['p' . $p]['status']) && $StoreData['p' . $p]['status'] > 0 ) { ?> mf-active <?php } ?>">
													<div class="mf-panel-heading"><small>Position: <?php echo $p; ?></small></div>
													<div class="mf-panel-body">
														<select name="store[<?php echo $store['store_id']; ?>][p<?php echo $p; ?>][size]" class="form-control input-sm">
															<option value="1" <?php if ( isset($StoreData['p' . $p]['size']) && $StoreData['p' . $p]['size'] == 1 ) { ?> selected="selected" <?php } ?>> <?php echo $text_widget_size; ?> 1/4 </option>
															<option value="2" <?php if ( isset($StoreData['p' . $p]['size']) && $StoreData['p' . $p]['size'] == 2 ) { ?> selected="selected" <?php } ?>> <?php echo $text_widget_size; ?> 2/4 </option>
															<option value="3" <?php if ( isset($StoreData['p' . $p]['size']) && $StoreData['p' . $p]['size'] == 3 ) { ?> selected="selected" <?php } ?>> <?php echo $text_widget_size; ?> 3/4 </option>
															<option value="4" <?php if ( isset($StoreData['p' . $p]['size']) && $StoreData['p' . $p]['size'] == 4 ) { ?> selected="selected" <?php } ?>> <?php echo $text_widget_size; ?> 4/4 </option>
														</select>
														<select name="store[<?php echo $store['store_id']; ?>][p<?php echo $p; ?>][widget_id]" class="form-control input-sm widget-selector">
															<option value="0"> -- <?php echo $text_disabled; ?> -- </option>
															<?php foreach ( $widgets as $widget ) { ?>
															<option value="<?php echo $widget['widget_id']; ?>" <?php if ( isset($StoreData['p' . $p]['widget_id']) && $StoreData['p' . $p]['widget_id'] ==  $widget['widget_id'] ) { ?>  selected="selected" <?php } ?>> <?php echo $widget['name']; ?> </option>
															<?php } ?>
														</select>
													</div>
												</div>
											</td>
										<?php } ?>
										</tr>
									</tbody>
								</table>
							</div>
						</div>
						<div class="form-horizontal">
							<div class="form-group">
								<label class="col-sm-2 control-label"><?php echo $entry_copyright_status; ?></label>
								<div class="col-sm-10">
									<select name="store[<?php echo $store['store_id']; ?>][copyright_status]" class="form-control">
										<?php if ( isset($StoreData['copyright_status']) && $StoreData['copyright_status'] == 1 ) { ?>
										<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
										<option value="0"><?php echo $text_disabled; ?></option>
										<?php } else { ?>
										<option value="1"><?php echo $text_enabled; ?></option>
										<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
										<?php } ?>
									</select>
								</div>
							</div>
						</div>
						<?php } ?>
					</div>
					<script>
						$('#store a:first').tab('show');
						$('.widget-selector').change(function() {
							if($(this).val() > 0) {
								$(this).parent().parent().removeClass('mf-active').addClass('mf-active')
							} else {
								$(this).parent().parent().removeClass('mf-active')
							}
						});
					</script>
				</form>
			</div>
		</div>
	</div>
</div>
<?php echo $footer; ?>

