<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid mf_container-fluid">
			<ul class="breadcrumb">
				<?php foreach ( $breadcrumbs as $breadcrumb ) { ?>
				<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid mf_container-fluid" id="mf_container">
		<?php if ( isset($warning) && $warning ) { ?>
		<div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> <?php echo $warning; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<?php if ( isset($success) && $success ) { ?>
		<div class="alert alert-success alert-dismissible"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<h4><?php echo $mf_heading_title; ?></h4>
		<div class="pull-right">
				<button type="button" onclick="submitForm();" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
			<button type="button" onclick="$(location).attr('href', '<?php echo $refresh; ?>');" data-toggle="tooltip" title="<?php echo $button_clear_cache; ?>" class="btn btn-warning"><i class="fa fa-eraser"></i></button>
		</div>
		<p class="mf-main_menu">
			<?php foreach ( $top_menu as $menu_item ) { ?>
			<?php if (isset($menu_item['active']) && $menu_item['active'] == 1) { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info active"><?php echo $menu_item['text']; ?></a>
			<?php } else { ?>
			<a href="<?php echo $menu_item['url']; ?>" class="btn btn-info"><?php echo $menu_item['text']; ?></a>
			<?php } ?>
			<?php } ?>
		</p>
		<form action="<?php echo $action_edit; ?>" method="post" enctype="multipart/form-data" id="form-theme" class="form-horizontal">
			<div class="panel panel-default">
				<div class="panel-body">
					<ul class="nav nav-tabs" id="store">
						<?php foreach ( $stores as $store ) { ?>
						<li><a href="#store<?php echo $store['store_id']; ?>" data-toggle="tab"><?php echo $store['name']; ?></a></li>
						<?php } ?>
					</ul>
					<div class="tab-content">
						<?php foreach ( $stores as $store ) { ?>
						<?php  $store_id = $store['store_id']; ?>
						<div class="tab-pane" id="store<?php echo $store_id; ?>">
							<div class="row">
								<div class="col-sm-2">
									<ul class="nav nav-pills nav-stacked" id="theme-nav">
										<li><a href="#tab-theme-general" data-toggle="tab"><?php echo $text_general; ?></a></li>
										<li><a href="#tab-theme-footer_row1" data-toggle="tab"><?php echo $text_footer_row; ?> 1</a></li>
										<li><a href="#tab-theme-footer_row2" data-toggle="tab"><?php echo $text_footer_row; ?> 2</a></li>
										<li><a href="#tab-theme-footer_row3" data-toggle="tab"><?php echo $text_footer_row; ?> 3</a></li>
										<li><a href="#tab-theme-footer_row4" data-toggle="tab"><?php echo $text_footer_row; ?> 4</a></li>
										<li><a href="#tab-theme-css" data-toggle="tab"><?php echo $text_custom_css; ?></a></li>
									</ul>
								</div>
								<div class="col-sm-10">
									<div class="tab-content">
										<div class="tab-pane" id="tab-theme-general">
											<div class="row">
												<div class="col-sm-6">
													<div class="form-group">
														<label class="col-sm-5 control-label"><?php echo $entry_footer_bgcolor; ?></label>
														<div class="col-sm-7">
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][footer_bgcolor]" value="<?php if (isset($theme[$store_id]['footer_bgcolor'])) {echo $theme[$store_id]['footer_bgcolor'];} else {echo '303030';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker">
																		<div style="background-color: #303030"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label class="col-sm-5 control-label"><?php echo $entry_icon_bgcolor; ?></label>
														<div class="col-sm-7">
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][icon_bgcolor]" value="<?php if (isset($theme[$store_id]['icon_bgcolor'])) {echo $theme[$store_id]['icon_bgcolor'];} else {echo 'ffffff';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker">
																		<div style="background-color: #FFFFFF"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label class="col-sm-5 control-label"><?php echo $entry_copyright_color; ?></label>
														<div class="col-sm-7">
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][copyright_color]" value="<?php if (isset($theme[$store_id]['copyright_color'])) {echo $theme[$store_id]['copyright_color'];} else {echo '666666';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker">
																		<div style="background-color: #FFFFFF"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
										<!-- BEGIN FOOTER ROWS-->
										<?php for($i=1; $i < 5; $i++) {?>
										<div class="tab-pane" id="tab-theme-footer_row<?php echo $i;?>">
											<div class="row">
												<div class="col-sm-6">
													<div class="form-group">
														<label class="col-sm-5 control-label"><?php echo $entry_footer_bgcolor; ?></label>
														<div class="col-sm-7">
															<input type="hidden" name="theme[<?php echo $store_id; ?>][row<?php echo $i;?>_width]" value="0" />
															<div class="checkbox">
																<label><input type="checkbox" value="1" name="theme[<?php echo $store_id; ?>][row<?php echo $i;?>_width]" <?php if ( isset($theme[$store_id]['row'.$i.'_width']) && $theme[$store_id]['row'.$i.'_width'] == 1) echo ' checked="checked"'; ?>><?php echo $text_full_width; ?></label>
															</div>
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][row<?php echo $i;?>_bgcolor]" value="<?php if (isset($theme[$store_id]['row'.$i.'_bgcolor'])) {echo $theme[$store_id]['row'.$i.'_bgcolor'];} else {echo '303030';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker">
																		<div style="background-color: #303030"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label class="col-sm-5 control-label"><?php echo $entry_title_color; ?></label>
														<div class="col-sm-7">
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][title_color<?php echo $i;?>]" value="<?php if (isset($theme[$store_id]['title_color'.$i])) {echo $theme[$store_id]['title_color'.$i];} else {echo 'ffffff';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker">
																		<div style="background-color: #FFFFFF"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label class="col-sm-5 control-label"><?php echo $entry_font_color; ?></label>
														<div class="col-sm-7">
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][font_color<?php echo $i;?>]" value="<?php if (isset($theme[$store_id]['font_color'.$i])) {echo $theme[$store_id]['font_color'.$i];} else {echo 'e2e2e2';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker">
																		<div style="background-color: #FFFFFF"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label class="col-sm-5 control-label"><?php echo $entry_list_style; ?></label>
														<div class="col-sm-7">
															<select name="theme[<?php echo $store_id; ?>][list_style<?php echo $i;?>]" class="form-control">
																<?php if (isset($theme[$store_id]['list_style'.$i]) &&  $theme[$store_id]['list_style'.$i] == 1) { ?>
																<option value="1" selected="selected"><?php echo $text_list_style_inline; ?></option>
																<option value="0"><?php echo $text_list_style_list; ?></option>
																<?php } else { ?>
																<option value="1"><?php echo $text_list_style_inline; ?></option>
																<option value="0" selected="selected"><?php echo $text_list_style_list; ?></option>
																<?php } ?>
															</select>
														</div>
													</div>
												</div>
												<div class="col-sm-6">
													<div class="form-group">
														<label class="col-sm-5 control-label"><span data-toggle="tooltip" data-original-title="<?php echo $text_link_default; ?>"><?php echo $entry_links_color; ?> (Default)</span></label>
														<div class="col-sm-7">
															<input type="hidden" name="theme[<?php echo $store_id; ?>][links_underline<?php echo $i;?>][a]" value="0" />
															<div class="checkbox">
																<label><input type="checkbox" value="1" name="theme[<?php echo $store_id; ?>][links_underline<?php echo $i;?>][a]" <?php  if (isset($theme[$store_id]['links_underline'.$i]['a']) && $theme[$store_id]['links_underline'.$i]['a'] == 1) echo ' checked="checked"'; ?>><?php echo $text_underline; ?></label>
															</div>
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][links_color<?php echo $i;?>][a]" value="<?php if (isset($theme[$store_id]['links_color'.$i]['a'])) {echo $theme[$store_id]['links_color'.$i]['a'];} else {echo 'cccccc';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker" title="<?php echo $text_link_default; ?>">
																		<div style="background-color: #FFFFFF"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
													<div class="form-group">
														<label class="col-sm-5 control-label"><span data-toggle="tooltip" data-original-title="<?php echo $text_link_hover; ?>"><?php echo $entry_links_color; ?> (Hover)</span></label>
														<div class="col-sm-7">
															<input type="hidden" name="theme[<?php echo $store_id; ?>][links_underline<?php echo $i;?>][b]" value="0" />
															<div class="checkbox">
																<label><input type="checkbox" value="1" name="theme[<?php echo $store_id; ?>][links_underline<?php echo $i;?>][b]" <?php if (isset($theme[$store_id]['links_underline'.$i]['b']) && $theme[$store_id]['links_underline'.$i]['b'] == 1 ) echo ' checked="checked"'; ?>><?php echo $text_underline; ?></label>
															</div>
															<div class="input-group mf_ui-colorpicker-group">
																<span class="input-group-addon">#</span>
																<input type="text" name="theme[<?php echo $store_id; ?>][links_color<?php echo $i;?>][b]" value="<?php if (isset($theme[$store_id]['links_color'.$i]['b'])) {echo $theme[$store_id]['links_color'.$i]['b'];} else {echo 'ffffff';}?>" class="form-control mf_ui-colorpicker-input" />
																<div class="input-group-addon">
																	<div class="mf_ui-colorpicker" title="<?php echo $text_link_hover; ?>">
																		<div style="background-color: #FFFFFF"></div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
										<?php } ?><!-- end for -->
										<div class="tab-pane" id="tab-theme-css">
											<div class="row">
												<div class="col-sm-12">
													<div class="form-group">
														<div class="col-sm-12">
															<textarea id="input-css-stylesheet" class="form-control" rows="10" name="theme[<?php echo $store_id; ?>][css_stylesheet]"><?php if(isset($theme[$store_id]['css_stylesheet'])) echo $theme[$store_id]['css_stylesheet']; ?></textarea>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
						<!-- END tab pine-->
						<?php } ?>
					</div>
				</div>
			</div>
		</form>
		<script>
			$('#store a:first').tab('show');
			$('#theme-nav a:first').tab('show');
			function bindColorPickers() {
				$('.mf_ui-colorpicker').each(function() {
					var $el = $(this), elcolor = $el.parent().prev("input").val();
					$el.find('div').css('backgroundColor', '#' + elcolor);
					$el.ColorPicker({
						color: '#' + elcolor,
						onShow: function (colpkr) {
							$(colpkr).fadeIn(500);
							$(this).ColorPickerSetColor($el.parent().prev("input").val());
							return false;
						},
						onHide: function (colpkr) {
							$(colpkr).fadeOut(500);
							$el.find('div').css('backgroundColor', '#' + $(colpkr).data('colorpicker').fields.eq(0).val());
							$el.parent().prev("input").val($(colpkr).data('colorpicker').fields.eq(0).val());
							return false;
						},
						onChange: function (hsb, hex, rgb) {
							$el.find('div').css('backgroundColor', '#' + hex);
							$el.parent().prev("input").val(hex);
						},
						onSubmit: function(hsb, hex, rgb, obj) {
							$el.find('div').css('backgroundColor', '#' + hex);
							$(obj).ColorPickerHide();
						},
					});
				});
			}
			$('.mf_ui-colorpicker-input').focusout(function(){
				$(this).next().find('.mf_ui-colorpicker div').css('backgroundColor', '#' + $(this).val());
			});
			$(document).ready(bindColorPickers);
			function submitForm() {
				$('.alert').remove();
				var url = '<?php echo $action_edit; ?>', fd, html;
				url = url.replace( /\&amp;/g, '&' );
				fd = $("#form-theme").serialize();
				$.ajax({
					type: "POST",
					url: url,
					data: fd,
					datatype: 'json',
					success: function(response){
						fd = JSON.parse(response);
						if( fd.status == 1 ) {
							html = '<div class="alert alert-success alert-dismissible"><i class="fa fa-exclamation-circle"></i> ' + fd.msg;
							html += '<button type="button" class="close" data-dismiss="alert">&times;</button>';
							html += '</div>';
						} else {
							html = '<div class="alert alert-danger alert-dismissible"><i class="fa fa-exclamation-circle"></i> ' + fd.msg;
							html += '<button type="button" class="close" data-dismiss="alert">&times;</button>';
							html += '</div>';
						}
						$('#mf_container h4').before(html);
					},
					error: function(xhr, ajaxOptions, thrownError) {
						alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
					}
				});
				return false;
			};
		</script>
	</div>
</div>
<?php echo $footer; ?>

